<!DOCTYPE html>
<html lang="es">

<head>
    <title>Los API JavaScript de Html5</title>
    <meta charset=utf-8>
    <style>
    div {
        margin-bottom: 3px;
    }

    span {
        border: 1px solid silver;
        padding-left: 4px;
        padding-right: 4px;
    }

    #boton {
        margin-top: 12px;
        margin-left: 60px;
    }
    </style>
    <script type="text/javascript">
    function localizar(position) {
        var latitud = position.coords.latitude;
        var longitud = position.coords.longitude;
        document.getElementById("latitud").innerHTML = latitud;
        document.getElementById("longitud").innerHTML = longitud;
    }

    function error(error) {
        switch (error.code) {
            case error.UNKNOWN_ERROR:
                alert("La geolocalización ha encontrado una error.");
                break;
            case error.PERMISSION_DENIED:
                alert("El usuario no ha autorizado el acceso a su posición.");
                break;
            case error.POSITION_UNAVAILABLE:
                alert("El usuario no se ha podido localizar.");
                break;
            case error.TIMEOUT:
                alert("La geolocalización ha excedido el tiempo límite.");
                break;
        }
    }

    function getLocalisation() {
        if (navigator.geolocation) {
            var watchId = navigator.geolocation.watchPosition(localizar,
                error, { enableHighAccuracy: true });
        } else {
            alert("Lo sentimos, su navegador no soporta la geolocalización");
        }
    }
    </script>
</head>
<html>

<body>
    <form>
        <h2>Html5 geolocalización</h2>
        <div>Latitud: <span id="latitud">En espera...</span></div>
        <div>Longitud: <span id="longitud">En espera...</span></div>
        <input type="button" id="boton" onclick="getLocalisation();" value="Seguir los desplazamientos">
    </form>
</body>

</html>
